--- a/GConf.spec	2025-05-14 02:13:59.913111125 +0000
+++ b/GConf.spec	2025-05-14 02:13:59.927111306 +0000
@@ -105,6 +105,7 @@
 Provides: lib%oldname-devel = %version
 Obsoletes: lib%oldname-devel < %version
 Requires: lib%name = %version-%release
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description -n lib%name-devel
 GConf development package. Contains files needed for doing
@@ -150,6 +151,19 @@
 %description -n lib%name-gir-devel
 GObject introspection devel data for the GConf library
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: libGConf-devel <= 3.2.6-alt3
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q
 install -p -m644 %_sourcedir/libgconf.{map,lds} gconf/
@@ -281,8 +295,9 @@
 %_includedir/*
 %_pkgconfigdir/*
 %_datadir/aclocal/*
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_sysconfdir/buildreqs/files/ignore.d/gconf
+%exclude %_rpmmacrosdir/*
 
 %files -n lib%name-devel-doc
 %_datadir/gtk-doc/html/*
@@ -303,4 +318,8 @@
 %_girdir/*
 %endif
 
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
+
 %changelog
--- a/e23.spec	2025-05-14 02:14:01.435130757 +0000
+++ b/e23.spec	2025-05-14 02:14:01.443130861 +0000
@@ -103,10 +103,24 @@
 Obsoletes: e17-devel e18-devel
 Provides: e17-devel = %EVR
 Provides: e18-devel = %EVR
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Development headers for Enlightenment.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: enlightenment-devel <= 0.23.1-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -n %name-%version
 #%patch -p1 -R -b .auth
@@ -222,6 +236,11 @@
 %_includedir/%name/
 %_pkgconfigdir/%name.pc
 %_pkgconfigdir/everything.pc
-%_rpmmacrosdir/%name
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/%name
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/guile.spec	2025-05-14 02:14:03.483157173 +0000
+++ b/guile.spec	2025-05-14 02:14:03.486157211 +0000
@@ -17,6 +17,7 @@
 Requires: %name = %version-%release
 Provides: /usr/bin/guild
 Provides: /usr/bin/guile-config
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 This package provides the default %summary.
@@ -24,6 +25,19 @@
 %description devel
 This package provides the default %summary.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: guile-devel <= 2.2-alt2
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 mkdir -p %buildroot{%_bindir,%_rpmmacrosdir,%_man1dir}
 cat > %buildroot%_rpmmacrosdir/guile << 'E_O_F'
@@ -53,6 +67,11 @@
 %_bindir/guile-config
 %_bindir/guile-snarf
 %_bindir/guile-tools
-%_rpmmacrosdir/guile
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/guile
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/meson.spec	2025-05-14 02:14:09.736237810 +0000
+++ b/meson.spec	2025-05-14 02:14:09.741237875 +0000
@@ -56,6 +56,7 @@
 BuildRequires: pkgconfig(zlib)
 BuildRequires: python3-module-Cython
 %endif
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 Meson is a build system designed to optimize programmer productivity.
@@ -63,6 +64,19 @@
 software development tools and practices, such as unit tests, coverage
 reports, Valgrind, CCache and the like.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: meson <= 0.55.3-alt2
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup
 
@@ -84,9 +98,14 @@
 %python3_sitelibdir/%name-%ver_major.*-*.egg-info/
 %{?_without_polkit:%exclude %_datadir/polkit-1/actions/com.mesonbuild.install.policy}
 %_man1dir/%name.1.*
-%_rpmmacrosdir/%name
-%_rpmmacrosdir/%name.env
+#%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name.env
 %doc COPYING README.*
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 
 %changelog
--- a/mozilla-common.spec	2025-05-14 02:14:10.095242439 +0000
+++ b/mozilla-common.spec	2025-05-14 02:14:10.098242478 +0000
@@ -12,10 +12,24 @@
 %package devel
 Summary:	Mozilla common directories
 Group:		Development/Other
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Mozilla common directories
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: mozilla-common-devel <= 1.0-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 mkdir -p %buildroot
 cd %buildroot
@@ -42,7 +56,12 @@
 %_datadir/mozilla
 
 %files devel
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_rpmlibdir/mozcommon.req.list
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/pesign.spec	2025-05-14 02:14:12.869278206 +0000
+++ b/pesign.spec	2025-05-14 02:14:12.872278244 +0000
@@ -13,11 +13,25 @@
 Patch1: pesign-fix-build-with-nss3.44.patch
 
 BuildRequires: libnss-devel libpopt-devel
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 This package contains the pesign utility for signing UEFI binaries
 as well as other associated tools.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: pesign <= 0.109-alt6
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -n %name-%version-%release
 %patch0 -p1
@@ -65,7 +79,7 @@
 %_bindir/pesign-client
 %_bindir/efikeygen
 %config(noreplace) %_sysconfdir/popt.d/pesign.popt
-%_rpmmacrosdir/pesign
+#%_rpmmacrosdir/pesign
 %_mandir/man?/*
 %_tmpfilesdir/pesign.conf
 %_initdir/pesign
@@ -74,5 +88,10 @@
 %dir %_runtimedir/pesign/socketdir/
 %ghost %_runtimedir/pesign/socketdir/socket
 %ghost %_runtimedir/pesign.pid
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/xorg-server.spec	2025-05-14 02:14:19.052357911 +0000
+++ b/xorg-server.spec	2025-05-14 02:14:19.065358078 +0000
@@ -173,6 +173,7 @@
 Provides: xorg-glamor-devel = %epoch:%version-%release
 Obsoletes: xorg-glamor-devel < %epoch:%version-%release
 %endif
+Requires: rpm-macros-xorg-sdk = %{version}-%{release}
 
 %description -n xorg-sdk
 The SDK package provides the developmental files which are necessary for
@@ -180,6 +181,19 @@
 outside of the standard X11 source code tree.  Developers writing video
 drivers, input drivers, or other X modules should install this package.
 
+
+%package -n rpm-macros-xorg-sdk
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: xorg-sdk <= 1.20.8-alt12
+
+%description -n rpm-macros-xorg-sdk
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q
 %patch -p1
@@ -309,6 +323,11 @@
 %_includedir/xorg
 %_pkgconfigdir/*.pc
 %_datadir/aclocal/*.m4
-%_rpmmacrosdir/xorg-sdk
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/xorg-sdk
+
+%files -n rpm-macros-xorg-sdk
+%_rpmmacrosdir/*
+
 
 %changelog
